include ../../components/visualizar/endereco
include ../../components/visualizar/pessoaJuridica
include ../../components/visualizar/contato
include ../../components/visualizar/usuario
include ../../components/visualizar/empreendimento
include ../../components/visualizar/modalVisualizacaoEmpreendimento.pug

.responsive(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")
	h1.page-header
		| Visualização de pessoa jurídica

div.panel.panel-default(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#dadosgerais", data-parent="#dadosgerais") Dados gerais

	div.panel-collapse.collapse.in#dadosgerais

		div.panel-body

			+pessoaJuridica("pessoaVisualizar")

div.panel.panel-default(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#contatos", data-parent="#contatos") Contatos

	div.panel-collapse.collapse.in#contatos

		div.panel-body

			+contato("pessoaVisualizar.contatos", "classRuleContatos")

div.panel.panel-default(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#enderecoPrincipal", data-parent="#enderecoPrincipal") Endereço principal

	div.panel-collapse.collapse.in#enderecoPrincipal

		div.panel-body

			+endereco("pessoaVisualizar.enderecoPrincipal", "false")

div.panel.panel-default(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#enderecoCorrespondencia", data-parent="#enderecoCorrespondencia") Endereço de correspondência

	div.panel-collapse.collapse.in#enderecoCorrespondencia

		div.panel-body

			+endereco("pessoaVisualizar.enderecoCorrespondencia", "true")

div.panel.panel-default(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA) && verificarPermissao(AcaoSistema.LISTAR_EMPREENDIMENTOS)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#empreendimentos", data-parent="#empreendimentos") Empreendimentos relacionados

	div.panel-collapse.collapse.in(id="empreendimentos")

		div.panel-body

			+empreendimento("empreendimentos", "true")

div.panel.panel-default(ng-if="pessoaVisualizar.isUsuario && verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")

	div.panel-heading

		h3.panel-title

			a.accordion-toggle(data-toggle="collapse", data-target="#usuario", data-parent="#usuario") Usuário

	div.panel-collapse.collapse.in#usuario

		div.panel-body

			+usuario("pessoaVisualizar.usuario")

div(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_PESSOA_JURIDICA)")
	button.btn.btn-default.btn-raised(type='button', ng-click='voltar()') Voltar
